Bug 1297112 - RRDs.pm and friends missing after Fedora upgrade 22 -> 23
RRDs.pm and friends missing after Fedora upgrade 22 -> 23
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-09 07:04 EST by Albert Flügel
Modified: 2016-07-19 18:41 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:16:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Debug data (7.37 MB, application/x-gzip)
2016-01-25 11:55 EST, Jaroslav Škarvada
no flags Details

  None (edit)
Description Albert Flügel 2016-01-09 07:04:01 EST
Description of problem:
After the upgrade of Fedora from 22 to 23 the perl (and other) components of the RRD toolset are missing. The package has been split up into several with Fedora 23. With the upgrade only the rrdtool package is left, that lacks many components now contained in other packages. This breaks anything that uses these lost components.


Version-Release number of selected component (if applicable):
1.5.3-4.fc23


How reproducible:


Steps to Reproduce:
1. Install Fedora 22 and add the package rrdtool, if not present
2. Upgrade Fedora to 23

Actual results:
rrdtool is upgraded, but others are missing e.g. rrdtool-perl or rrdtool-python

Expected results:
All contents of the former sole rrdtool package is available after the Fedora upgrade

Additional info:
Please try to stop breaking things
Comment 1 Jaroslav Škarvada 2016-01-11 05:27:57 EST
(In reply to Albert Flügel from comment #0)
> Description of problem:
> After the upgrade of Fedora from 22 to 23 the perl (and other) components of
> the RRD toolset are missing. The package has been split up into several with
> Fedora 23. With the upgrade only the rrdtool package is left, that lacks
> many components now contained in other packages. This breaks anything that
> uses these lost components.
> 
>
Hi, it seems there is same version in f22 and f23:
rrdtool-1.5.3-4

since 2015-06-18 22:34, i.e. for long time. And IIRC the package structure wasn't touched for much longer. Maybe your subpackages were removed by dnf due to broken deps?

> Steps to Reproduce:
> 1. Install Fedora 22 and add the package rrdtool, if not present
> 2. Upgrade Fedora to 23
> 
I will try.

> Actual results:
> rrdtool is upgraded, but others are missing e.g. rrdtool-perl or
> rrdtool-python
> 
> Expected results:
> All contents of the former sole rrdtool package is available after the
> Fedora upgrade
> 
> Additional info:
> Please try to stop breaking things

We are doing our best not to break things :)
Comment 2 Jaroslav Škarvada 2016-01-11 09:55:57 EST
Cleanly provisioned f22 (without updates, it has older rrdtool):
# dnf install rrdtool
# rpm -ql rrdtool
/usr/bin/rrdcached
/usr/bin/rrdcgi
/usr/bin/rrdcreate
/usr/bin/rrdinfo
/usr/bin/rrdtool
/usr/bin/rrdupdate
/usr/lib/systemd/system/rrdcached.service
/usr/lib/systemd/system/rrdcached.socket
/usr/lib64/librrd.so.4
/usr/lib64/librrd.so.4.3.0
/usr/lib64/librrd_th.so.4
/usr/lib64/librrd_th.so.4.3.0
/usr/share/doc/rrdtool
/usr/share/doc/rrdtool/CHANGES
/usr/share/doc/rrdtool/CONTRIBUTORS
/usr/share/doc/rrdtool/COPYRIGHT
/usr/share/doc/rrdtool/LICENSE
/usr/share/doc/rrdtool/NEWS
/usr/share/doc/rrdtool/THREADS
/usr/share/doc/rrdtool/TODO
/usr/share/man/man1/bin_dec_hex.1.gz
/usr/share/man/man1/cdeftutorial.1.gz
/usr/share/man/man1/rpntutorial.1.gz
/usr/share/man/man1/rrd-beginners.1.gz
/usr/share/man/man1/rrdbuild.1.gz
/usr/share/man/man1/rrdcached.1.gz
/usr/share/man/man1/rrdcgi.1.gz
/usr/share/man/man1/rrdcreate.1.gz
/usr/share/man/man1/rrddump.1.gz
/usr/share/man/man1/rrdfetch.1.gz
/usr/share/man/man1/rrdfirst.1.gz
/usr/share/man/man1/rrdflushcached.1.gz
/usr/share/man/man1/rrdgraph.1.gz
/usr/share/man/man1/rrdgraph_data.1.gz
/usr/share/man/man1/rrdgraph_examples.1.gz
/usr/share/man/man1/rrdgraph_graph.1.gz
/usr/share/man/man1/rrdgraph_libdbi.1.gz
/usr/share/man/man1/rrdgraph_rpn.1.gz
/usr/share/man/man1/rrdinfo.1.gz
/usr/share/man/man1/rrdlast.1.gz
/usr/share/man/man1/rrdlastupdate.1.gz
/usr/share/man/man1/rrdlua.1.gz
/usr/share/man/man1/rrdresize.1.gz
/usr/share/man/man1/rrdrestore.1.gz
/usr/share/man/man1/rrdthreads.1.gz
/usr/share/man/man1/rrdtool.1.gz
/usr/share/man/man1/rrdtune.1.gz
/usr/share/man/man1/rrdtutorial.1.gz
/usr/share/man/man1/rrdupdate.1.gz
/usr/share/man/man1/rrdxport.1.gz
/usr/share/rrdtool

# dnf install 'rrdtool-*'
...
Install...
 fedora-logos-httpd                                                                                   noarch            22.0.0-1.fc22               beaker-Fedora-Everything             33 k
 httpd                                                                                                x86_64            2.4.17-1.fc22               updates                             1.3 M
 httpd-filesystem                                                                                     noarch            2.4.17-1.fc22               updates                              25 k
 httpd-tools                                                                                          x86_64            2.4.17-1.fc22               updates                              88 k
 libnghttp2                                                                                           x86_64            1.2.1-1.fc22                updates                              67 k
 php                                                                                                  x86_64            5.6.16-1.fc22               updates                             2.6 M
 php-cli                                                                                              x86_64            5.6.16-1.fc22               updates                             4.0 M
 php-common                                                                                           x86_64            5.6.16-1.fc22               updates                             1.1 M
 php-pecl-jsonc                                                                                       x86_64            1.3.9-1.fc22                updates                              57 k
 rrdtool-CoreOS-rrdtool-Regression-bz914688-RRDTool-graph-shows-inconsistent-results-using            noarch            1.0-2                       beaker-tasks                        218 k
 rrdtool-debuginfo                                                                                    x86_64            1.4.9-4.fc22                beaker-Fedora-debuginfo             668 k
 rrdtool-devel                                                                                        x86_64            1.5.3-4.fc22                updates                              34 k
 rrdtool-doc                                                                                          x86_64            1.5.3-4.fc22                updates                             228 k
 rrdtool-lua                                                                                          x86_64            1.5.3-4.fc22                updates                              30 k
 rrdtool-perl                                                                                         x86_64            1.5.3-4.fc22                updates                              54 k
 rrdtool-php                                                                                          x86_64            1.5.3-4.fc22                updates                              35 k
 rrdtool-python                                                                                       x86_64            1.5.3-4.fc22                updates                              42 k
 rrdtool-ruby                                                                                         x86_64            1.5.3-4.fc22                updates                              30 k
 rrdtool-tcl                                                                                          x86_64            1.5.3-4.fc22                updates                              33 k
 ruby-libs                                                                                            x86_64            2.2.4-47.fc22               updates                             2.9 M
...

# rpm -ql rrdtool-perl
/usr/lib64/perl5/vendor_perl/RRDp.pm
/usr/lib64/perl5/vendor_perl/RRDs.pm
/usr/lib64/perl5/vendor_perl/auto/RRDs
/usr/lib64/perl5/vendor_perl/auto/RRDs/RRDs.so
/usr/share/doc/rrdtool-perl
/usr/share/doc/rrdtool-perl/html
/usr/share/doc/rrdtool-perl/html/RRDp.html
/usr/share/doc/rrdtool-perl/html/RRDs.html
/usr/share/man/man3/RRDp.3pm.gz
/usr/share/man/man3/RRDs.3pm.gz
/usr/share/man/man3/librrd.3.gz


Upgrade to f23 (via dnf):
# setenforce 0
# dnf -y upgrade dnf
# dnf clean all
# dnf --releasever=23 --setopt=deltarpm=false -y distro-sync
...
  file /usr/lib64/python2.7/site-packages/py_rrdtool-0.2.2-py2.7.egg-info from install of rrdtool-python-1.4.9-4.fc22.x86_64 conflicts with file from package rrdtool-python-1.5.3-4.fc22.x86_64

I have no idea why dnf thinks that file provided by rrdtool-python cannot be upgraded by rrdtool-python, weird, reassigning to dnf.

dnf-1.1.5-1.fc22.noarch
Comment 3 Jaroslav Mracek 2016-01-19 09:10:15 EST
This is response from RPM. The transaction looks correctly, but probably RPM doesn't see the package as a upgrade. Probably RPM-team has some solution.
Comment 4 Ľuboš Kardoš 2016-01-20 08:15:51 EST
Dnf tried to downgrade rrdtool-python-1.5.3-4.fc22.x86_64 to rrdtool-python-1.4.9-4.fc22.x86_64

rdtool-python-1.5.3-4.fc22.x86_64:
/usr/lib64/python2.7/site-packages/py_rrdtool-0.2.2-py2.7.egg-info is directory

rrdtool-python-1.4.9-4.fc22.x86_64:
/usr/lib64/python2.7/site-packages/py_rrdtool-0.2.2-py2.7.egg-info is a file


And rpm can't change directory to file. Attempts to do that are reported as file conflicts. This is known problem with rpm. The question is why during upgrade from fc22 to fc23 dnf tries to downgrade package rrdtool-python?
Comment 5 Honza Silhan 2016-01-25 07:23:03 EST
attach debugdata [1], please, we'll take a look.

[1] https://github.com/rpm-software-management/dnf/wiki/Bug-Reporting#connection-issue
Comment 6 Albert Flügel 2016-01-25 08:49:50 EST
I don't have a Fedora 22 setup anymore. Probably Mr. Jaroslav Škarvada can provide the requested info as he reported the details in comment 2.
Comment 7 Jaroslav Škarvada 2016-01-25 09:08:15 EST
Uaaaa :), well I will rerun the reproducer in Beaker, but Jan you could do it the same way as me ;)
Comment 8 Jaroslav Škarvada 2016-01-25 11:55 EST
Created attachment 1118121 [details]
Debug data

Hopefully they are enough for you. If not, just let me know.

$ rpm -q libsolv hawkey dnf
libsolv-0.6.14-2.fc22.x86_64
hawkey-0.6.2-2.fc22.x86_64
dnf-1.1.5-1.fc22.noarch
Comment 9 Fedora Admin XMLRPC Client 2016-07-08 05:33:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2016-07-19 16:16:05 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Igor Gnatenko 2016-07-19 18:41:15 EDT
hopefully this is fixed in new libsolv/dnf in f24 ;)

Note You need to log in before you can comment on or make changes to this bug.